From 0584fb2e6b09798ca025107ef49d5f28977cf31f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 22 Aug 2022 16:51:52 +0200
Subject: [PATCH 5/5] Remove unneeded null pointer check before FreeDir()

---
 src/backend/utils/misc/guc-file.l | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/backend/utils/misc/guc-file.l b/src/backend/utils/misc/guc-file.l
index 6d0e7b4dc5..acc34858c5 100644
--- a/src/backend/utils/misc/guc-file.l
+++ b/src/backend/utils/misc/guc-file.l
@@ -1086,8 +1086,7 @@ ParseConfigDirectory(const char *includedir,
 	status = true;
 
 cleanup:
-	if (d)
-		FreeDir(d);
+	FreeDir(d);
 	pfree(directory);
 	return status;
 }
-- 
2.37.1

